[PyCharm] 요세미티에서 실행하기 Computer Tip

이전 요세미티에서 Java 이용하기 블로그 내용과 같이 java를 설치했습니다만,

위와 같이 PyCharm을 실행시키면,

위와 같은 메시지가 뜹니다.
물론 예전버전의 java를 설치할 수도 있겠지만, 다음과 같이 쉽게 수정가능합니다.

PyCharm이 설치된 곳에서 마우스 오른쪽단추로 "패키지 내용 보기"를 눌러
위와 같이 info.plist 를 선택한 후 "열기"를 누릅니다.

위와 같이 JVMVersion이 
1.6* 으로 되어 있던 부분을 1.6+
로 변경하고 닫은 다음, PyCharm을 기동시키면,

PyCharm이 잘 동작하는 것을 알 수 있습니다.
(따끈 따끈한 버전4가 며칠전에 나왔습니다)

어느 분께는 도움이 되셨기를...


덧글

  • 아리수 2015/04/03 09:36 # 삭제 답글

    맥에서도 함 해봐야겠네요. 감사합니다.

    근데 리눅스 민트에서 3.4.1 버전의 Pycharm을 쓰는데 4버전대로 업데이트를 하려고 하는데 어떻게 해야하는지요?

    지금 3.4.1 버전은 tar 를 압축풀어서 디렉토리를 복사하고 런처에 pycharm/bin/***.sh를 런처에 등록해놓고 사용하고 있습니다.
    Pycharm4버전으로의 변경은 어떻게 해야하는지 궁금합니다.

    읽어주셔서 감사합니다.
    (같은 내용의 글을 생활코딩in페이스북에도 올렸습니다.)
  • 지훈현서아빠 2015/04/03 15:37 #

    4에서도 거의 동일하게 사용하고 있습니다~~
    도움이 되셨다니 저의 보람입니다 ^^
  • 아리수 2015/04/03 18:12 # 삭제 답글

    답변 감사합니다.

    4 버전도 3.4.1 버전 처럼 설치/설정하고 3.4.1 버전의 디렉토리는 삭제해버려도 상관이 없을까요? ^^.
    그럼 기존의 virtualenv나 플러그인 설치했던 건 다시 가져오나요? ㅎㅎ
    변경하려니 의문점이 많이 생기네요. 일단 그냥 해버릴까?하는 생각도하는데 행동하기가 쉽지는 않군요. ㅎㅎ

    이런 거는 그냥 다 자동으로 됐으면 좋겠습니다. ^^;
  • 지훈현서아빠 2015/04/03 21:21 #

    제가 알기로는 해당 프로젝트 폴더 안에 .idea 히든 폴더에 해당 설정들이 들어 있기 때문에
    4.x로 올려도 상관없습니다~~ ^^
  • ㅁㅉㄷ 2015/04/12 13:05 # 삭제 답글

    /System/Library/Frameworks/Python.framework/Versions/2.7/bin/python2.7 /Users/artists2/PycharmProjects/untitled/powertest.py
    File "/Users/artists2/PycharmProjects/untitled/powertest.py", line 3
    SyntaxError: Non-ASCII character 'xec' in file /Users/artists2/PycharmProjects/untitled/powertest.py on line 3, but no encoding declared; see http://www.python.org/peps/pep-0263.html for details

    소스작성후 런 을 눌러봤는데 이런식으로 뜨는데 뭐가 문제일까요?ㅠㅠ
  • 지훈현서아빠 2015/04/12 18:43 #

    아마 소스에 한글을 입력하신 모양입니다.
    첫 두줄에,

    #!/usr/bin/env python
    # -*- coding: utf8 -*-

    와 같은 식으로 넣고 해 보셔요~
댓글 입력 영역

구글애드텍스트